summaryrefslogtreecommitdiff
path: root/dev-python/pdm
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-19 18:57:17 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-19 18:57:17 +0000
commit221a8131dab3bd52abe8a1c35202bba7545cdbe0 (patch)
tree161d40c879411f29027a8cb092546806e85a5e37 /dev-python/pdm
parent11deb79ce024dcc296457593252578db70b46e6c (diff)
downloadbaldeagleos-repo-221a8131dab3bd52abe8a1c35202bba7545cdbe0.tar.gz
baldeagleos-repo-221a8131dab3bd52abe8a1c35202bba7545cdbe0.tar.xz
baldeagleos-repo-221a8131dab3bd52abe8a1c35202bba7545cdbe0.zip
Adding metadata
Diffstat (limited to 'dev-python/pdm')
-rw-r--r--dev-python/pdm/Manifest1
-rw-r--r--dev-python/pdm/files/pdm-2.24.0-respect-python.patch27
-rw-r--r--dev-python/pdm/pdm-2.24.0-r1.ebuild94
3 files changed, 122 insertions, 0 deletions
diff --git a/dev-python/pdm/Manifest b/dev-python/pdm/Manifest
index 3155e9ae7b88..0b7fb30f667a 100644
--- a/dev-python/pdm/Manifest
+++ b/dev-python/pdm/Manifest
@@ -1,2 +1,3 @@
DIST pdm-2.23.0.tar.gz 2648692 BLAKE2B aba0a73dbf6a34636144bf35e04226d8b11cc4e54f22c8c15f486424d564aa59161662477d0f740ed489382dfd7d95b743f4a548059c67dccb1caef4588d6db7 SHA512 47b17fcd23ead47886359f34eeb73783688349339efa00af709f740eefe9722d3313baea9ba479892dad9bc67ff85ec8b94d790f15cc9ab5a8322a09711ed0ff
DIST pdm-2.23.1.tar.gz 2650012 BLAKE2B 02e5189aa83425aca6f23091bb4596498302375915772aa770b69563fe4d4218d92059daceae3df7e528136b1d4f733e116efcba98e1477e5ad848fb8ecb0b1a SHA512 857367c90e6d92c2d7cb5143c9a9bcf4ea5402a2ef1334efca259ec079f97e4b87da1c1a86cd736e8ec4d8c69c80da9c3ca1c5413c72d431be96ba85c914662c
+DIST pdm-2.24.0.tar.gz 2655682 BLAKE2B 8c84f15e319308c1c05b74e9a2594c69f6b923cd3ba1ecf303444eab48ca205d26621991cbf1b47e26358f499cbb9d2d9cb527593fcd3fd5d53327f3880d71b4 SHA512 a0308e747e723a1a855d4973d0457d63cc8a9e19ecaf0266b75c5f39f27e0326911e942b5a72808752924ad28de07ef7541f35c5cf29a730738662981e9cdb08
diff --git a/dev-python/pdm/files/pdm-2.24.0-respect-python.patch b/dev-python/pdm/files/pdm-2.24.0-respect-python.patch
new file mode 100644
index 000000000000..2707616263e7
--- /dev/null
+++ b/dev-python/pdm/files/pdm-2.24.0-respect-python.patch
@@ -0,0 +1,27 @@
+From 6ac6bf373db1acee7f51a3d695e8b58e85f11801 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sat, 19 Apr 2025 11:13:02 +0200
+Subject: [PATCH] Force `sys.executable` in pytest fixture
+
+Fix the pytest fixture to respect `sys.executable` rather than finding
+an arbitrary Python version in `sys.base_prefix`. No clue why upstream
+changed the logic to do the latter, but it is clearly wrong on Gentoo.
+
+Bug: https://github.com/pdm-project/pdm/issues/3486
+---
+ src/pdm/pytest.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/pdm/pytest.py b/src/pdm/pytest.py
+index d23ad4b9..3f50c0f2 100644
+--- a/src/pdm/pytest.py
++++ b/src/pdm/pytest.py
+@@ -407,7 +407,7 @@ def project_no_init(
+ tmp_path.joinpath("caches").mkdir(parents=True)
+ p.global_config["cache_dir"] = tmp_path.joinpath("caches").as_posix()
+ p.global_config["log_dir"] = tmp_path.joinpath("logs").as_posix()
+- python_path = find_python_in_path(sys.base_prefix)
++ python_path = Path(sys.executable)
+ if python_path is None:
+ raise ValueError("Unable to find a Python path")
+ p._saved_python = python_path.as_posix()
diff --git a/dev-python/pdm/pdm-2.24.0-r1.ebuild b/dev-python/pdm/pdm-2.24.0-r1.ebuild
new file mode 100644
index 000000000000..d690254ba864
--- /dev/null
+++ b/dev-python/pdm/pdm-2.24.0-r1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python package and dependency manager supporting the latest PEP standards"
+HOMEPAGE="
+ https://pdm-project.org/
+ https://github.com/pdm-project/pdm/
+ https://pypi.org/project/pdm/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/dep-logic-0.5[${PYTHON_USEDEP}]
+ <dev-python/findpython-1[${PYTHON_USEDEP}]
+ >=dev-python/findpython-0.6.0[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ >=dev-python/hishel-0.0.32[${PYTHON_USEDEP}]
+ >=dev-python/httpcore-1.0.6[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ >=dev-python/id-1.5.0[${PYTHON_USEDEP}]
+ dev-python/installer[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pbs-installer-2024.4.18[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ >=dev-python/resolvelib-1.1[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ dev-python/shellingham[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+ >=dev-python/truststore-0.9[${PYTHON_USEDEP}]
+ >=dev-python/unearth-0.17.5[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/pytest-httpx[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/uv
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ local PATCHES=(
+ # https://github.com/pdm-project/pdm/issues/3486
+ "${FILESDIR}/${P}-respect-python.patch"
+ )
+
+ distutils-r1_src_prepare
+
+ # unpin deps
+ sed -i -e 's:,<[0-9.a]*::' pyproject.toml || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ # https://github.com/pdm-project/pdm/pull/3488
+ # (the third one I can't reproduce)
+ tests/models/test_candidates.py::test_find_candidates_from_find_links
+ 'tests/test_project.py::test_find_interpreters_with_PDM_IGNORE_ACTIVE_VENV[True]'
+ 'tests/models/test_candidates.py::test_expand_project_root_in_url[demo @ file:///${PROJECT_ROOT}/tests/fixtures/artifacts/demo-0.0.1.tar.gz]'
+
+ # unhappy about extra packages being installed?
+ # (also fails randomly in venv)
+ tests/cli/test_build.py::test_build_with_no_isolation
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -m "not network and not integration and not path" \
+ -p pytest_mock -p pytest_httpx -p pytest_httpserver
+}